# Reference: <https://postmarketos.org/devicepkg>
# Maintainer: Minecrell <minecrell@minecrell.net>
pkgname=device-samsung-serranove
pkgdesc="Samsung Galaxy S4 Mini Value Edition"
pkgver=10
pkgrel=0
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base mkbootimg linux-postmarketos-qcom-msm8916
	 soc-qcom-msm8916 soc-qcom-msm8916-rproc"
makedepends="devicepkg-dev"
source="
	77-modem-samsung-serranove.rules
	deviceinfo
	rootston.ini
"
subpackages="
	$pkgname-nonfree-firmware:nonfree_firmware
	$pkgname-phosh
"
_pmb_select="soc-qcom-msm8916-rproc"

# Backwards compatibility for old device package names + kernel variants
_substitutes="device-samsung-serranovelte"
replaces="$_substitutes $pkgname-kernel-mainline $pkgname-kernel-mainline-modem"
for pkg in $_substitutes; do replaces="$replaces $pkg-kernel-mainline $pkg-kernel-mainline-modem"; done
for pkg in $replaces; do provides="$provides $pkg=$pkgver-r$pkgrel"; done

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
	install -Dm644 "$srcdir"/77-modem-samsung-serranove.rules \
		"$pkgdir"/lib/udev/rules.d/77-modem-samsung-serranove.rules
}

nonfree_firmware() {
	pkgdesc="GPU/WiFi/BT/Modem/Video firmware"
	depends="firmware-qcom-adreno-a300 msm-firmware-loader firmware-samsung-serranove-wcnss-nv"
	replaces="$_substitutes-nonfree-firmware"
	provides="$replaces=$pkgver-r$pkgrel"
	mkdir "$subpkgdir"
}

phosh() {
	replaces="$_substitutes-phosh"
	provides="$replaces=$pkgver-r$pkgrel"
	install_if="$pkgname postmarketos-ui-phosh"
	install -Dm644 "$srcdir"/rootston.ini \
		"$subpkgdir"/etc/phosh/rootston.ini
}

sha512sums="
4b747284acf73a401255093dfd7b6406fa8e3428307f031d39b1631d1a3ae6404789fc2dfff0cf2da6b2f0757071363cc70b4ef7d445c7b3c047b6feb88b9125  77-modem-samsung-serranove.rules
d666cf805d292d13d9e15a350b203580f016f455dad16cbc4a94471edb145fd464c5ad92a50077995234a9db1322e605e0294a6c5d7342fa6675b1bfec4eb69e  deviceinfo
94c866b6583faadc4a96a4d737983ba7838ede52afa5e29e261ef0ad0f2afe29fd3b793c9208ae74c7d48db6b991ad21800b9e457fbba4c69ce9dec2cda268ea  rootston.ini
"
